package com.iformall.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.iformall.domain.po.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
/**
 * 用户查询dto
 * @author jinguo
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WxCUserBasicInfoDto extends BaseEntity {

	private static final long serialVersionUID = -1116465873573690766L;

	protected Long id;
	
	@io.swagger.annotations.ApiModelProperty(value="开始时间",name="startTime")
	private Date startTime;
	
	@io.swagger.annotations.ApiModelProperty(value="结束时间",name="endTime")
	private Date endTime;
	
	@io.swagger.annotations.ApiModelProperty(value="手机号",name="phone")
	private String phone;
	
	@io.swagger.annotations.ApiModelProperty(value="姓名",name="name")
	private String name;

	@TableField(exist = false)
    @io.swagger.annotations.ApiModelProperty(value="租户id",name="tenantId")
	private String tenantId;

	@TableField(exist = false)
	private Date birthStartTime;

	@TableField(exist = false)
	private Date birthEndTime;

	@TableField(exist = false)
	private Integer levelStartScore;
	@TableField(exist = false)
	private Integer levelEndScore;

	@TableField(exist = false)
	private Integer sex;
	
}
