package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.*;
import java.util.List;

@TableName(value = "wx_weapp_basic_set")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxWeappBasicSet extends BaseEntity {
	private static final long serialVersionUID = 1L;

    protected Long id;

	@io.swagger.annotations.ApiModelProperty(value="小程序类型(1-B端 2-C端)",name="type")
	private Integer type;
    @io.swagger.annotations.ApiModelProperty(value="部署类型(1:dev,2:test,3:prod)",name="deploy")
    private Integer deploy;
	@io.swagger.annotations.ApiModelProperty(value="服务器域名",name="domainUrl")
	private String domainUrl;
	@io.swagger.annotations.ApiModelProperty(value="小程序基础版本",name="version")
	private String version;
	@io.swagger.annotations.ApiModelProperty(value="模板库信息",name="templateInfo")
	private String templateInfo;
	@io.swagger.annotations.ApiModelProperty(value="创建时间",name="createDate")
	private Date createDate;
	@io.swagger.annotations.ApiModelProperty(value="更新时间",name="updateDate")
	private Date updateDate;

}
