package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

@TableName(value = "wx_weapp_code_status")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxWeappCodeStatus extends BaseEntity {
	private static final long serialVersionUID = 1L;

    protected Long id;

    @io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
    private String tenantId;
	@io.swagger.annotations.ApiModelProperty(value="小程序ID",name="appId")
	private String appId;
	@io.swagger.annotations.ApiModelProperty(value="小程序类型(1-B端 2-C端 3-公众服务号 4-公众订阅号)",name="type")
	private Integer type;
	@io.swagger.annotations.ApiModelProperty(value="用户版本",name="userVersion")
	private String userVersion;
    @io.swagger.annotations.ApiModelProperty(value="用户版本描述",name="versionDesc")
    private String versionDesc;
    @io.swagger.annotations.ApiModelProperty(value="code提交状态(0:成功, 1:失败)",name="codeStatus")
    private Integer codeStatus;
    @io.swagger.annotations.ApiModelProperty(value="code提交错误码",name="codeErrCode")
    private String codeErrCode;
    @io.swagger.annotations.ApiModelProperty(value="code提交时间",name="codeTime")
    private Date codeTime;

}
