package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.10 库存报警事件
 */
@Component
public class CardSkuRemindHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         * <xml>
         *    <ToUserName><![CDATA[gh_2d62d*****0]]></ToUserName>
         *     <FromUserName><![CDATA[oa3LFuBvWb7*********]]></FromUserName>
         *     <CreateTime>1443838506</CreateTime>
         *     <MsgType><![CDATA[event]]></MsgType>
         *     <Event><![CDATA[card_sku_remind]]></Event>
         *     <CardId><![CDATA[pa3LFuAh2P65**********]]></CardId>
         *     <Detail><![CDATA[the card's quantity is equal to 0]]></Detail>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_SKU_REMIND)) {
        }
        return null;
    }

}
