package com.iformall.domain.dto;

import com.iformall.domain.po.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 审核提交
 * @author Stormeye
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WxWeappCodeAuditDto extends BaseEntity {

	private static final long serialVersionUID = -1116465873573690766L;

	@io.swagger.annotations.ApiModelProperty(value="appId",name="appId")
	private String appId;
	
	@io.swagger.annotations.ApiModelProperty(value="版本信息",name="version")
	private String version;

    @io.swagger.annotations.ApiModelProperty(value="反馈内容，不超过200字",name="feedbackInfo")
	private String feedbackInfo;

    @io.swagger.annotations.ApiModelProperty(value="图片media_id列表，中间用“丨”分割，xx丨yy丨zz，不超过5张图片, 其中 media_id 可以通过新增临时素材接口上传而得到",name="feedbackStuff")
    private String feedbackStuff;
}
