package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@TableName(value = "wx_appinfo")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxAppinfo extends BaseEntity {

    protected Long id;

	@io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
	private String tenantId;
	@io.swagger.annotations.ApiModelProperty(value="小程序ID",name="appId")
	private String appId;
	@io.swagger.annotations.ApiModelProperty(value="公众号ID",name="parentAppId")
	private String parentAppId;
	@io.swagger.annotations.ApiModelProperty(value="小程序名",name="name")
	private String name;
	@io.swagger.annotations.ApiModelProperty(value="小程序secret",name="secret")
	private String secret;
	@io.swagger.annotations.ApiModelProperty(value="消息token",name="token")
	private String token;
	@io.swagger.annotations.ApiModelProperty(value="消息aeskey",name="aesKey")
	private String aesKey;
	@io.swagger.annotations.ApiModelProperty(value="消息类型",name="msgDataFormat")
	private String msgDataFormat;
	@io.swagger.annotations.ApiModelProperty(value="微信访问token",name="accessToken")
	private String accessToken;
	@io.swagger.annotations.ApiModelProperty(value="上次生成accesstoken时间",name="lastTokenTime")
	private Date lastTokenTime;
	@io.swagger.annotations.ApiModelProperty(value="微信token有效时间单位（秒）",name="expiresIn")
	private Integer expiresIn;
	@io.swagger.annotations.ApiModelProperty(value="支付ID,参看wx_pay_account",name="payId")
	private Long payId;
	@io.swagger.annotations.ApiModelProperty(value="1B端2C端",name="type")
	private Integer type;
	@io.swagger.annotations.ApiModelProperty(value="支付ID,参看wx_pay_account_bill",name="payBillId")
	private Long payBillId;

}
