package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.*;

@TableName(value = "wx_component_verify_ticket")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxComponentVerifyTicket extends BaseEntity {
	private static final long serialVersionUID = 1L;

    protected Long id;

	@io.swagger.annotations.ApiModelProperty(value="微信第三方componentAppid",name="componentAppid")
	private String componentAppid;
	@io.swagger.annotations.ApiModelProperty(value="微信第三方component_verify_ticket",name="componentVerifyTicket")
	private String componentVerifyTicket;
	@io.swagger.annotations.ApiModelProperty(value="创建时间",name="createTime")
	private Date createTime;
	@io.swagger.annotations.ApiModelProperty(value="失效时间",name="deadline")
	private Date deadline;
    @io.swagger.annotations.ApiModelProperty(value="access_token",name="accessToken")
    private String accessToken;
    @io.swagger.annotations.ApiModelProperty(value="access_token过期时间",name="accessTokenExpire")
    private Date accessTokenExpire;

}
