package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@TableName(value = "wx_weapp_audit_status")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxWeappAuditStatus extends BaseEntity {
	private static final long serialVersionUID = 1L;

    protected Long id;

    @io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
    private String tenantId;
	@io.swagger.annotations.ApiModelProperty(value="小程序ID",name="appId")
	private String appId;
	@io.swagger.annotations.ApiModelProperty(value="小程序类型(1-B端 2-C端)",name="type")
	private Integer type;
	@io.swagger.annotations.ApiModelProperty(value="用户版本",name="userVersion")
	private String userVersion;
    @io.swagger.annotations.ApiModelProperty(value="用户版本描述",name="versionDesc")
    private String versionDesc;
    @io.swagger.annotations.ApiModelProperty(value="auditid",name="auditid")
    private Long auditid;
    @io.swagger.annotations.ApiModelProperty(value="审核状态(0为审核成功，1:审核失败，2:审核中，3:已撤回)",name="auditStatus")
    private Integer auditStatus;
    @io.swagger.annotations.ApiModelProperty(value="审核错误码",name="auditErrCode")
    private String auditErrCode;
    @io.swagger.annotations.ApiModelProperty(value="审核失败的小程序截图示例",name="screenShot")
    private String screenShot;
    @io.swagger.annotations.ApiModelProperty(value="审核时间",name="auditTime")
    private Date auditTime;

}
