package com.iformall.domain.vo;

import com.iformall.domain.po.WxPayOrder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class WxPayOrderVo extends WxPayOrder {

	@io.swagger.annotations.ApiModelProperty(value="用户绑定的openId",name="openId")
	private String openId;

    @io.swagger.annotations.ApiModelProperty(value="用户支付appId",name="appId")
    private String appId;

    @io.swagger.annotations.ApiModelProperty(value="支付ID,参看wx_pay_account",name="payId")
    private Long payId;
}
