package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.2 领取事件推送
 */
@Component
public class CardUserGetCardHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         *<xml>
         *    <ToUserName> <![CDATA[gh_fc0a06a20993]]> </ToUserName>
         *     <FromUserName> <![CDATA[oZI8Fj040-be6rlDohc6gkoPOQTQ]]> </FromUserName>
         *     <CreateTime>1472551036</CreateTime>
         *     <MsgType> <![CDATA[event]]> </MsgType>
         *     <Event> <![CDATA[user_get_card]]> </Event>
         *     <CardId> <![CDATA[pZI8Fjwsy5fVPRBeD78J4RmqVvBc]]> </CardId>
         *     <IsGiveByFriend>0</IsGiveByFriend>
         *     <UserCardCode> <![CDATA[226009850808]]> </UserCardCode>
         *     <FriendUserName> <![CDATA[]]> </FriendUserName>
         *     <OuterId>0</OuterId>
         *     <OldUserCardCode> <![CDATA[]]> </OldUserCardCode>
         *     <OuterStr> <![CDATA[12b]]> </OuterStr>
         *     <IsRestoreMemberCard>0</IsRestoreMemberCard>
         *     <IsRecommendByFriend>0</IsRecommendByFriend>
         *     <UnionId>o6_bmasdasdsad6_2sgVt7hMZOPfL</UnionId>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_USER_GET_CARD)) {
        }
        return null;
    }

}
